This commit is contained in:
parent
121fc455c2
commit
dff5653170
382
build.diff
382
build.diff
@ -1,6 +1,20 @@
|
||||
Many changes to Makefiles/autogen and the like to make it build
|
||||
on SUSE systems.
|
||||
|
||||
---
|
||||
autogen.sh | 16 +++--
|
||||
build/Makefile.am | 2
|
||||
configure.ac | 153 ++++++++++++++++++++++++++++++++-------------------
|
||||
db3/configure | 6 +-
|
||||
file/src/Makefile.am | 2
|
||||
installplatform | 9 ++-
|
||||
lib/Makefile.am | 2
|
||||
popt/autogen.sh | 2
|
||||
rpmdb/Makefile.am | 4 -
|
||||
rpmio/Makefile.am | 10 +--
|
||||
scripts/Makefile.am | 8 ++
|
||||
11 files changed, 132 insertions(+), 82 deletions(-)
|
||||
|
||||
Index: autogen.sh
|
||||
===================================================================
|
||||
--- autogen.sh.orig
|
||||
@ -66,184 +80,6 @@ Index: build/Makefile.am
|
||||
|
||||
usrlibdir = $(libdir)@MARK64@
|
||||
usrlib_LTLIBRARIES = librpmbuild.la
|
||||
Index: db3/configure
|
||||
===================================================================
|
||||
--- db3/configure.orig
|
||||
+++ db3/configure
|
||||
@@ -10,9 +10,9 @@ rm -f config.cache
|
||||
# XXX edit CFLAGS= ... out of invocation args ???
|
||||
ARGS="`echo $* | sed -e 's% [^ ]*CFLAGS=[^ ]*%%' -e 's% -[^-][^ ]*%%g' -e 's% --param=[^ ]*%%g' -e 's%--cache-file=.*$%%'`"
|
||||
|
||||
-CC="$CC" CFLAGS="$CFLAGS" $db_dist/configure $ARGS \
|
||||
- --enable-shared --enable-static --enable-rpc \
|
||||
- --with-uniquename=_rpmdb --srcdir=$db_dist
|
||||
+CC="$CC" CFLAGS="$CFLAGS" $db_dist/configure \
|
||||
+ --enable-shared --enable-static \
|
||||
+ --with-uniquename=_rpmdb --srcdir=$db_dist $ARGS
|
||||
|
||||
mv Makefile Makefile.orig
|
||||
cat Makefile.orig | sed -e '/^install[:-]/c\
|
||||
Index: file/src/Makefile.am
|
||||
===================================================================
|
||||
--- file/src/Makefile.am.orig
|
||||
+++ file/src/Makefile.am
|
||||
@@ -26,7 +26,7 @@ libmagic_la_LDFLAGS = -version-info 1:0:
|
||||
|
||||
noinst_PROGRAMS = file
|
||||
file_SOURCES = file.c
|
||||
-file_LDFLAGS = -L../../zlib # -all-static
|
||||
+file_LDFLAGS = # -L../../zlib # -all-static
|
||||
file_LDADD = libmagic.la
|
||||
|
||||
listobjs:
|
||||
Index: installplatform
|
||||
===================================================================
|
||||
--- installplatform.orig
|
||||
+++ installplatform
|
||||
@@ -68,11 +68,11 @@ for SUBST in $SUBSTS ; do
|
||||
sparc64-linux) ARCH_INSTALL_POST=${pkglibdir}/brp-sparc64-linux; LIB=lib64; MULTILIBNO=2 ;;
|
||||
sparc64v-linux) ARCH_INSTALL_PORT=${pkglibdir}/brp-sparc64-linux; LIB=lib64; MULTILIBNO=2 ;;
|
||||
s390-linux) MULTILIBNO=1 ;;
|
||||
- s390x-linux) LIB=lib64; MULTILIBNO=2 ;;
|
||||
+ s390x-linux) ARCH_INSTALL_POST=${pkglibdir}/brp-lib64-linux; LIB=lib64; MULTILIBNO=2 ;;
|
||||
ppc-linux) MULTILIBNO=1 ;;
|
||||
- ppc64-linux) LIB=lib64; MULTILIBNO=2 ;;
|
||||
+ ppc64-linux) ARCH_INSTALL_POST=${pkglibdir}/brp-lib64-linux; LIB=lib64; MULTILIBNO=2 ;;
|
||||
i?86-linux|pentium?-linux|athlon-linux|geode-linux) MULTILIBNO=1 ;;
|
||||
- x86_64-linux|amd64-linux|ia32e-linux) LIB=lib64; MULTILIBNO=2 ;;
|
||||
+ x86_64-linux|amd64-linux|ia32e-linux) ARCH_INSTALL_POST=${pkglibdir}/brp-lib64-linux; LIB=lib64; MULTILIBNO=2 ;;
|
||||
esac
|
||||
|
||||
if [ -n "$MULTILIBNO" ]; then
|
||||
@@ -102,6 +102,9 @@ for SUBST in $SUBSTS ; do
|
||||
apple)
|
||||
VENDORSED='-e s,^@apple@,,'
|
||||
;;
|
||||
+ suse)
|
||||
+ VENDORSED='-e s,^@SuSE@,,'
|
||||
+ ;;
|
||||
esac
|
||||
|
||||
CANONARCH="`echo $ARCH|sed -e "$canonarch_sed"`"
|
||||
Index: lib/Makefile.am
|
||||
===================================================================
|
||||
--- lib/Makefile.am.orig
|
||||
+++ lib/Makefile.am
|
||||
@@ -29,7 +29,7 @@ noinst_HEADERS = \
|
||||
mylibs = librpm.la
|
||||
LIBS =
|
||||
|
||||
-LDFLAGS = -L$(RPM_BUILD_ROOT)$(usrlibdir) -L$(DESTDIR)$(usrlibdir)
|
||||
+LDFLAGS =
|
||||
|
||||
usrlibdir = $(libdir)@MARK64@
|
||||
usrlib_LTLIBRARIES = librpm.la
|
||||
Index: popt/autogen.sh
|
||||
===================================================================
|
||||
--- popt/autogen.sh.orig
|
||||
+++ popt/autogen.sh
|
||||
@@ -28,7 +28,7 @@ fi
|
||||
|
||||
cd "$THEDIR"
|
||||
|
||||
-if [ X"$@" = X -a "X`uname -s`" = "XLinux" ]; then
|
||||
+if [ X"$*" = X -a "X`uname -s`" = "XLinux" ]; then
|
||||
$srcdir/configure --prefix=/usr "$@"
|
||||
else
|
||||
$srcdir/configure "$@"
|
||||
Index: rpmdb/Makefile.am
|
||||
===================================================================
|
||||
--- rpmdb/Makefile.am.orig
|
||||
+++ rpmdb/Makefile.am
|
||||
@@ -31,7 +31,7 @@ noinst_HEADERS = fprint.h header_interna
|
||||
pkgbindir = @RPMCONFIGDIR@
|
||||
pkgbin_PROGRAMS = \
|
||||
rpmdb_archive rpmdb_checkpoint rpmdb_deadlock rpmdb_dump rpmdb_load \
|
||||
- rpmdb_printlog rpmdb_recover rpmdb_svc rpmdb_stat rpmdb_upgrade \
|
||||
+ rpmdb_printlog rpmdb_recover rpmdb_stat rpmdb_upgrade \
|
||||
rpmdb_verify
|
||||
|
||||
mylibs = librpmdb.la
|
||||
@@ -42,7 +42,7 @@ LIBS =
|
||||
libdb_la = $(top_builddir)/$(WITH_DB_SUBDIR)/libdb.la
|
||||
|
||||
# XXX grrr, RPM_BUILD_ROOT prevents build pollution if/when -lrpm different
|
||||
-LDFLAGS = -L$(RPM_BUILD_ROOT)$(usrlibdir) -L$(DESTDIR)$(usrlibdir)
|
||||
+LDFLAGS =
|
||||
|
||||
usrlibdir = $(libdir)@MARK64@
|
||||
usrlib_LTLIBRARIES = librpmdb.la
|
||||
Index: rpmio/Makefile.am
|
||||
===================================================================
|
||||
--- rpmio/Makefile.am.orig
|
||||
+++ rpmio/Makefile.am
|
||||
@@ -24,9 +24,9 @@ pkginc_HEADERS = \
|
||||
rpmsq.h rpmsw.h ugid.h
|
||||
noinst_HEADERS = rpmio_internal.h rpmlua.h rpmhook.h
|
||||
|
||||
-BEECRYPTLOBJS = $(shell test X"@WITH_BEECRYPT_SUBDIR@" != X && cat $(top_builddir)/@WITH_BEECTYPT_SUBDIR@/listobjs)
|
||||
+BEECRYPTLOBJS = $(shell test X"@WITH_BEECRYPT_SUBDIR@" != X && cat $(top_builddir)/@WITH_BEECRYPT_SUBDIR@/listobjs)
|
||||
|
||||
-LDFLAGS = -L$(RPM_BUILD_ROOT)$(usrlibdir) -L$(DESTDIR)$(usrlibdir)
|
||||
+LDFLAGS =
|
||||
|
||||
usrlibdir = $(libdir)@MARK64@
|
||||
usrlib_LTLIBRARIES = librpmio.la
|
||||
@@ -41,14 +41,14 @@ librpmio_la_LDFLAGS = -release 4.4 $(LDF
|
||||
@WITH_MAGIC_LIB@ \
|
||||
@WITH_ZLIB_LIB@ \
|
||||
-lpthread
|
||||
-librpmio_la_LIBADD = # $(BEECRYPTLOBJS)
|
||||
-librpmio_la_DEPENDENCIES = # .created
|
||||
+librpmio_la_LIBADD = $(BEECRYPTLOBJS)
|
||||
+librpmio_la_DEPENDENCIES = .created
|
||||
|
||||
.created:
|
||||
if test X"@WITH_BEECRYPT_SUBDIR@" != X; then \
|
||||
${MAKE} -C $(top_builddir)/@WITH_BEECRYPT_SUBDIR@ listobjs ; \
|
||||
for lo in $(BEECRYPTLOBJS); do \
|
||||
- [ -f $$lo ] || $(LN_S) $(top_builddir)/@WITH_BEECRYPT_SUBDIR@/$$lo $$lo ; \
|
||||
+ [ -f $$lo ] || sed -e "s!'!'$(top_builddir)/beecrypt/!" < $(top_builddir)/beecrypt/$$lo > $$lo ; \
|
||||
done \
|
||||
fi
|
||||
touch $@
|
||||
Index: scripts/Makefile.am
|
||||
===================================================================
|
||||
--- scripts/Makefile.am.orig
|
||||
+++ scripts/Makefile.am
|
||||
@@ -9,6 +9,7 @@ EXTRA_DIST = \
|
||||
brp-compress brp-python-bytecompile brp-java-gcjcompile brp-redhat \
|
||||
brp-strip brp-strip-comment-note \
|
||||
brp-strip-shared brp-strip-static-archive brp-sparc64-linux \
|
||||
+ brp-lib64-linux brp-symlink \
|
||||
check-files check-prereqs convertrpmrc.sh cross-build \
|
||||
check-buildroot check-rpaths check-rpaths-worker \
|
||||
find-debuginfo.sh find-lang.sh find-prov.pl find-req.pl \
|
||||
@@ -21,7 +22,8 @@ EXTRA_DIST = \
|
||||
sql.prov sql.req tcl.req tgpg trpm u_pkg.sh \
|
||||
vpkg-provides.sh vpkg-provides2.sh \
|
||||
macros.perl* macros.python* \
|
||||
- macros.php* find-*.php find-php-* mono-find* osgideps.pl
|
||||
+ macros.php* find-*.php find-php-* mono-find* osgideps.pl \
|
||||
+ find-provides.ksyms find-requires.ksyms
|
||||
|
||||
installprefix = $(DESTDIR)
|
||||
|
||||
@@ -32,6 +34,7 @@ config_SCRIPTS = \
|
||||
brp-compress brp-python-bytecompile brp-java-gcjcompile brp-redhat \
|
||||
brp-strip brp-strip-comment-note \
|
||||
brp-strip-shared brp-strip-static-archive brp-sparc64-linux \
|
||||
+ brp-lib64-linux brp-symlink \
|
||||
check-files check-prereqs convertrpmrc.sh cross-build \
|
||||
check-buildroot check-rpaths check-rpaths-worker \
|
||||
find-debuginfo.sh find-lang.sh find-prov.pl find-req.pl \
|
||||
@@ -42,4 +45,5 @@ config_SCRIPTS = \
|
||||
rpmdb_loadcvt rpmdiff rpmdiff.cgi \
|
||||
rpm.daily rpm.log rpm.xinetd rpm2cpio.sh \
|
||||
sql.prov sql.req tcl.req tgpg trpm u_pkg.sh \
|
||||
- vpkg-provides.sh vpkg-provides2.sh
|
||||
+ vpkg-provides.sh vpkg-provides2.sh \
|
||||
+ find-provides.ksyms find-requires.ksyms
|
||||
Index: configure.ac
|
||||
===================================================================
|
||||
--- configure.ac.orig
|
||||
@ -261,6 +97,18 @@ Index: configure.ac
|
||||
for dir in $dirs
|
||||
do
|
||||
case $dir in
|
||||
@@ -430,9 +430,9 @@ WITH_LIBELF_LIB=
|
||||
AC_CHECK_HEADER([libelf.h])
|
||||
AC_CHECK_HEADER([gelf.h], [
|
||||
AC_DEFINE(HAVE_GELF_H, 1, [Define to 1 if you have the <gelf.h> header file.])
|
||||
- AC_CHECK_LIB(elf, gelf_getvernaux, [
|
||||
+ AC_CHECK_LIB(elf_pic, gelf_getvernaux, [
|
||||
AC_DEFINE(HAVE_LIBELF, 1, [Define to 1 if you have the 'elf' library (-lelf).])
|
||||
- WITH_LIBELF_LIB="-lelf"
|
||||
+ WITH_LIBELF_LIB="-lelf_pic"
|
||||
])
|
||||
], [
|
||||
if test -d elfutils/libelf ; then
|
||||
@@ -440,7 +440,7 @@ AC_CHECK_HEADER([gelf.h], [
|
||||
AC_DEFINE(HAVE_LIBELF, 1, [Define to 1 if you have the 'elf' library (-lelf).])
|
||||
WITH_ELFUTILS_SUBDIR=elfutils
|
||||
@ -462,3 +310,181 @@ Index: configure.ac
|
||||
RPMCANONOS="$build_os_noversion"
|
||||
RPMCANONGNU="$build_os_gnu"
|
||||
AC_SUBST(RPMCANONCOLOR)
|
||||
Index: db3/configure
|
||||
===================================================================
|
||||
--- db3/configure.orig
|
||||
+++ db3/configure
|
||||
@@ -10,9 +10,9 @@ rm -f config.cache
|
||||
# XXX edit CFLAGS= ... out of invocation args ???
|
||||
ARGS="`echo $* | sed -e 's% [^ ]*CFLAGS=[^ ]*%%' -e 's% -[^-][^ ]*%%g' -e 's% --param=[^ ]*%%g' -e 's%--cache-file=.*$%%'`"
|
||||
|
||||
-CC="$CC" CFLAGS="$CFLAGS" $db_dist/configure $ARGS \
|
||||
- --enable-shared --enable-static --enable-rpc \
|
||||
- --with-uniquename=_rpmdb --srcdir=$db_dist
|
||||
+CC="$CC" CFLAGS="$CFLAGS" $db_dist/configure \
|
||||
+ --enable-shared --enable-static \
|
||||
+ --with-uniquename=_rpmdb --srcdir=$db_dist $ARGS
|
||||
|
||||
mv Makefile Makefile.orig
|
||||
cat Makefile.orig | sed -e '/^install[:-]/c\
|
||||
Index: file/src/Makefile.am
|
||||
===================================================================
|
||||
--- file/src/Makefile.am.orig
|
||||
+++ file/src/Makefile.am
|
||||
@@ -26,7 +26,7 @@ libmagic_la_LDFLAGS = -version-info 1:0:
|
||||
|
||||
noinst_PROGRAMS = file
|
||||
file_SOURCES = file.c
|
||||
-file_LDFLAGS = -L../../zlib # -all-static
|
||||
+file_LDFLAGS = # -L../../zlib # -all-static
|
||||
file_LDADD = libmagic.la
|
||||
|
||||
listobjs:
|
||||
Index: installplatform
|
||||
===================================================================
|
||||
--- installplatform.orig
|
||||
+++ installplatform
|
||||
@@ -68,11 +68,11 @@ for SUBST in $SUBSTS ; do
|
||||
sparc64-linux) ARCH_INSTALL_POST=${pkglibdir}/brp-sparc64-linux; LIB=lib64; MULTILIBNO=2 ;;
|
||||
sparc64v-linux) ARCH_INSTALL_PORT=${pkglibdir}/brp-sparc64-linux; LIB=lib64; MULTILIBNO=2 ;;
|
||||
s390-linux) MULTILIBNO=1 ;;
|
||||
- s390x-linux) LIB=lib64; MULTILIBNO=2 ;;
|
||||
+ s390x-linux) ARCH_INSTALL_POST=${pkglibdir}/brp-lib64-linux; LIB=lib64; MULTILIBNO=2 ;;
|
||||
ppc-linux) MULTILIBNO=1 ;;
|
||||
- ppc64-linux) LIB=lib64; MULTILIBNO=2 ;;
|
||||
+ ppc64-linux) ARCH_INSTALL_POST=${pkglibdir}/brp-lib64-linux; LIB=lib64; MULTILIBNO=2 ;;
|
||||
i?86-linux|pentium?-linux|athlon-linux|geode-linux) MULTILIBNO=1 ;;
|
||||
- x86_64-linux|amd64-linux|ia32e-linux) LIB=lib64; MULTILIBNO=2 ;;
|
||||
+ x86_64-linux|amd64-linux|ia32e-linux) ARCH_INSTALL_POST=${pkglibdir}/brp-lib64-linux; LIB=lib64; MULTILIBNO=2 ;;
|
||||
esac
|
||||
|
||||
if [ -n "$MULTILIBNO" ]; then
|
||||
@@ -102,6 +102,9 @@ for SUBST in $SUBSTS ; do
|
||||
apple)
|
||||
VENDORSED='-e s,^@apple@,,'
|
||||
;;
|
||||
+ suse)
|
||||
+ VENDORSED='-e s,^@SuSE@,,'
|
||||
+ ;;
|
||||
esac
|
||||
|
||||
CANONARCH="`echo $ARCH|sed -e "$canonarch_sed"`"
|
||||
Index: lib/Makefile.am
|
||||
===================================================================
|
||||
--- lib/Makefile.am.orig
|
||||
+++ lib/Makefile.am
|
||||
@@ -29,7 +29,7 @@ noinst_HEADERS = \
|
||||
mylibs = librpm.la
|
||||
LIBS =
|
||||
|
||||
-LDFLAGS = -L$(RPM_BUILD_ROOT)$(usrlibdir) -L$(DESTDIR)$(usrlibdir)
|
||||
+LDFLAGS =
|
||||
|
||||
usrlibdir = $(libdir)@MARK64@
|
||||
usrlib_LTLIBRARIES = librpm.la
|
||||
Index: popt/autogen.sh
|
||||
===================================================================
|
||||
--- popt/autogen.sh.orig
|
||||
+++ popt/autogen.sh
|
||||
@@ -28,7 +28,7 @@ fi
|
||||
|
||||
cd "$THEDIR"
|
||||
|
||||
-if [ X"$@" = X -a "X`uname -s`" = "XLinux" ]; then
|
||||
+if [ X"$*" = X -a "X`uname -s`" = "XLinux" ]; then
|
||||
$srcdir/configure --prefix=/usr "$@"
|
||||
else
|
||||
$srcdir/configure "$@"
|
||||
Index: rpmdb/Makefile.am
|
||||
===================================================================
|
||||
--- rpmdb/Makefile.am.orig
|
||||
+++ rpmdb/Makefile.am
|
||||
@@ -31,7 +31,7 @@ noinst_HEADERS = fprint.h header_interna
|
||||
pkgbindir = @RPMCONFIGDIR@
|
||||
pkgbin_PROGRAMS = \
|
||||
rpmdb_archive rpmdb_checkpoint rpmdb_deadlock rpmdb_dump rpmdb_load \
|
||||
- rpmdb_printlog rpmdb_recover rpmdb_svc rpmdb_stat rpmdb_upgrade \
|
||||
+ rpmdb_printlog rpmdb_recover rpmdb_stat rpmdb_upgrade \
|
||||
rpmdb_verify
|
||||
|
||||
mylibs = librpmdb.la
|
||||
@@ -42,7 +42,7 @@ LIBS =
|
||||
libdb_la = $(top_builddir)/$(WITH_DB_SUBDIR)/libdb.la
|
||||
|
||||
# XXX grrr, RPM_BUILD_ROOT prevents build pollution if/when -lrpm different
|
||||
-LDFLAGS = -L$(RPM_BUILD_ROOT)$(usrlibdir) -L$(DESTDIR)$(usrlibdir)
|
||||
+LDFLAGS =
|
||||
|
||||
usrlibdir = $(libdir)@MARK64@
|
||||
usrlib_LTLIBRARIES = librpmdb.la
|
||||
Index: rpmio/Makefile.am
|
||||
===================================================================
|
||||
--- rpmio/Makefile.am.orig
|
||||
+++ rpmio/Makefile.am
|
||||
@@ -24,9 +24,9 @@ pkginc_HEADERS = \
|
||||
rpmsq.h rpmsw.h ugid.h
|
||||
noinst_HEADERS = rpmio_internal.h rpmlua.h rpmhook.h
|
||||
|
||||
-BEECRYPTLOBJS = $(shell test X"@WITH_BEECRYPT_SUBDIR@" != X && cat $(top_builddir)/@WITH_BEECTYPT_SUBDIR@/listobjs)
|
||||
+BEECRYPTLOBJS = $(shell test X"@WITH_BEECRYPT_SUBDIR@" != X && cat $(top_builddir)/@WITH_BEECRYPT_SUBDIR@/listobjs)
|
||||
|
||||
-LDFLAGS = -L$(RPM_BUILD_ROOT)$(usrlibdir) -L$(DESTDIR)$(usrlibdir)
|
||||
+LDFLAGS =
|
||||
|
||||
usrlibdir = $(libdir)@MARK64@
|
||||
usrlib_LTLIBRARIES = librpmio.la
|
||||
@@ -41,14 +41,14 @@ librpmio_la_LDFLAGS = -release 4.4 $(LDF
|
||||
@WITH_MAGIC_LIB@ \
|
||||
@WITH_ZLIB_LIB@ \
|
||||
-lpthread
|
||||
-librpmio_la_LIBADD = # $(BEECRYPTLOBJS)
|
||||
-librpmio_la_DEPENDENCIES = # .created
|
||||
+librpmio_la_LIBADD = $(BEECRYPTLOBJS)
|
||||
+librpmio_la_DEPENDENCIES = .created
|
||||
|
||||
.created:
|
||||
if test X"@WITH_BEECRYPT_SUBDIR@" != X; then \
|
||||
${MAKE} -C $(top_builddir)/@WITH_BEECRYPT_SUBDIR@ listobjs ; \
|
||||
for lo in $(BEECRYPTLOBJS); do \
|
||||
- [ -f $$lo ] || $(LN_S) $(top_builddir)/@WITH_BEECRYPT_SUBDIR@/$$lo $$lo ; \
|
||||
+ [ -f $$lo ] || sed -e "s!'!'$(top_builddir)/beecrypt/!" < $(top_builddir)/beecrypt/$$lo > $$lo ; \
|
||||
done \
|
||||
fi
|
||||
touch $@
|
||||
Index: scripts/Makefile.am
|
||||
===================================================================
|
||||
--- scripts/Makefile.am.orig
|
||||
+++ scripts/Makefile.am
|
||||
@@ -9,6 +9,7 @@ EXTRA_DIST = \
|
||||
brp-compress brp-python-bytecompile brp-java-gcjcompile brp-redhat \
|
||||
brp-strip brp-strip-comment-note \
|
||||
brp-strip-shared brp-strip-static-archive brp-sparc64-linux \
|
||||
+ brp-lib64-linux brp-symlink \
|
||||
check-files check-prereqs convertrpmrc.sh cross-build \
|
||||
check-buildroot check-rpaths check-rpaths-worker \
|
||||
find-debuginfo.sh find-lang.sh find-prov.pl find-req.pl \
|
||||
@@ -21,7 +22,8 @@ EXTRA_DIST = \
|
||||
sql.prov sql.req tcl.req tgpg trpm u_pkg.sh \
|
||||
vpkg-provides.sh vpkg-provides2.sh \
|
||||
macros.perl* macros.python* \
|
||||
- macros.php* find-*.php find-php-* mono-find* osgideps.pl
|
||||
+ macros.php* find-*.php find-php-* mono-find* osgideps.pl \
|
||||
+ find-provides.ksyms find-requires.ksyms
|
||||
|
||||
installprefix = $(DESTDIR)
|
||||
|
||||
@@ -32,6 +34,7 @@ config_SCRIPTS = \
|
||||
brp-compress brp-python-bytecompile brp-java-gcjcompile brp-redhat \
|
||||
brp-strip brp-strip-comment-note \
|
||||
brp-strip-shared brp-strip-static-archive brp-sparc64-linux \
|
||||
+ brp-lib64-linux brp-symlink \
|
||||
check-files check-prereqs convertrpmrc.sh cross-build \
|
||||
check-buildroot check-rpaths check-rpaths-worker \
|
||||
find-debuginfo.sh find-lang.sh find-prov.pl find-req.pl \
|
||||
@@ -42,4 +45,5 @@ config_SCRIPTS = \
|
||||
rpmdb_loadcvt rpmdiff rpmdiff.cgi \
|
||||
rpm.daily rpm.log rpm.xinetd rpm2cpio.sh \
|
||||
sql.prov sql.req tcl.req tgpg trpm u_pkg.sh \
|
||||
- vpkg-provides.sh vpkg-provides2.sh
|
||||
+ vpkg-provides.sh vpkg-provides2.sh \
|
||||
+ find-provides.ksyms find-requires.ksyms
|
||||
|
327
debugedit-canon-fix.diff
Normal file
327
debugedit-canon-fix.diff
Normal file
@ -0,0 +1,327 @@
|
||||
---
|
||||
tools/debugedit.c | 137 +++++++++++++++++++++++++++---------------------------
|
||||
1 file changed, 70 insertions(+), 67 deletions(-)
|
||||
|
||||
Index: b/tools/debugedit.c
|
||||
===================================================================
|
||||
--- tools/debugedit.c
|
||||
+++ tools/debugedit.c
|
||||
@@ -471,13 +471,13 @@ has_prefix (const char *str,
|
||||
{
|
||||
int str_len;
|
||||
int prefix_len;
|
||||
-
|
||||
+
|
||||
str_len = strlen (str);
|
||||
prefix_len = strlen (prefix);
|
||||
|
||||
if (str_len < prefix_len)
|
||||
return 0;
|
||||
-
|
||||
+
|
||||
return strncmp (str, prefix, prefix_len) == 0;
|
||||
}
|
||||
|
||||
@@ -485,7 +485,7 @@ static int
|
||||
edit_dwarf2_line (DSO *dso, uint_32 off, char *comp_dir, int phase)
|
||||
{
|
||||
unsigned char *ptr = debug_sections[DEBUG_LINE].data, *dir;
|
||||
- unsigned char **dirt;
|
||||
+ char **dirt;
|
||||
unsigned char *endsec = ptr + debug_sections[DEBUG_LINE].size;
|
||||
unsigned char *endcu, *endprol;
|
||||
unsigned char opcode_base;
|
||||
@@ -496,9 +496,9 @@ edit_dwarf2_line (DSO *dso, uint_32 off,
|
||||
|
||||
if (phase != 0)
|
||||
return 0;
|
||||
-
|
||||
+
|
||||
ptr += off;
|
||||
-
|
||||
+
|
||||
endcu = ptr + 4;
|
||||
endcu += read_32 (ptr);
|
||||
if (endcu == ptr + 0xffffffff)
|
||||
@@ -521,7 +521,7 @@ edit_dwarf2_line (DSO *dso, uint_32 off,
|
||||
value);
|
||||
return 1;
|
||||
}
|
||||
-
|
||||
+
|
||||
endprol = ptr + 4;
|
||||
endprol += read_32 (ptr);
|
||||
if (endprol > endcu)
|
||||
@@ -530,26 +530,26 @@ edit_dwarf2_line (DSO *dso, uint_32 off,
|
||||
dso->filename);
|
||||
return 1;
|
||||
}
|
||||
-
|
||||
+
|
||||
opcode_base = ptr[4];
|
||||
ptr = dir = ptr + 4 + opcode_base;
|
||||
-
|
||||
+
|
||||
/* dir table: */
|
||||
value = 1;
|
||||
while (*ptr != 0)
|
||||
{
|
||||
- ptr = strchr (ptr, 0) + 1;
|
||||
+ ptr = (unsigned char *)strchr ((char *)ptr, 0) + 1;
|
||||
++value;
|
||||
}
|
||||
|
||||
- dirt = (unsigned char **) alloca (value * sizeof (unsigned char *));
|
||||
+ dirt = (char **) alloca (value * sizeof (char *));
|
||||
dirt[0] = ".";
|
||||
dirt_cnt = 1;
|
||||
ptr = dir;
|
||||
while (*ptr != 0)
|
||||
{
|
||||
- dirt[dirt_cnt++] = ptr;
|
||||
- ptr = strchr (ptr, 0) + 1;
|
||||
+ dirt[dirt_cnt++] = (char *)ptr;
|
||||
+ ptr = (unsigned char *)strchr ((char *)ptr, 0) + 1;
|
||||
}
|
||||
ptr++;
|
||||
|
||||
@@ -559,8 +559,8 @@ edit_dwarf2_line (DSO *dso, uint_32 off,
|
||||
char *s, *file;
|
||||
size_t file_len, dir_len;
|
||||
|
||||
- file = ptr;
|
||||
- ptr = strchr (ptr, 0) + 1;
|
||||
+ file = (char *)ptr;
|
||||
+ ptr = (unsigned char *)strchr ((char *)ptr, 0) + 1;
|
||||
value = read_uleb128 (ptr);
|
||||
|
||||
if (value >= dirt_cnt)
|
||||
@@ -629,7 +629,7 @@ edit_dwarf2_line (DSO *dso, uint_32 off,
|
||||
}
|
||||
|
||||
free (s);
|
||||
-
|
||||
+
|
||||
read_uleb128 (ptr);
|
||||
read_uleb128 (ptr);
|
||||
}
|
||||
@@ -661,7 +661,7 @@ edit_dwarf2_line (DSO *dso, uint_32 off,
|
||||
|
||||
if (dest_dir)
|
||||
{
|
||||
- unsigned char *srcptr, *buf = NULL;
|
||||
+ char *srcptr, *srcstart, *buf = NULL;
|
||||
size_t base_len = strlen (base_dir);
|
||||
size_t dest_len = strlen (dest_dir);
|
||||
size_t shrank = 0;
|
||||
@@ -675,12 +675,16 @@ edit_dwarf2_line (DSO *dso, uint_32 off,
|
||||
ptr = dir;
|
||||
}
|
||||
else
|
||||
- ptr = srcptr = dir;
|
||||
- unsigned char *srcstart=srcptr;
|
||||
+ {
|
||||
+ ptr = dir;
|
||||
+ srcptr = (char *)dir;
|
||||
+ }
|
||||
+
|
||||
+ srcstart = srcptr;
|
||||
while (*srcptr != 0)
|
||||
{
|
||||
- size_t len = strlen (srcptr) + 1;
|
||||
- const unsigned char *readptr = srcptr;
|
||||
+ size_t len = strlen (srcptr);
|
||||
+ const char *readptr = srcptr;
|
||||
|
||||
if (*srcptr == '/' && has_prefix (srcptr, base_dir))
|
||||
{
|
||||
@@ -689,24 +693,28 @@ edit_dwarf2_line (DSO *dso, uint_32 off,
|
||||
memcpy (ptr, dest_dir, dest_len);
|
||||
ptr += dest_len;
|
||||
readptr += base_len;
|
||||
- }
|
||||
+ }
|
||||
srcptr += len;
|
||||
|
||||
shrank += srcptr - readptr;
|
||||
- canonicalize_path (readptr, ptr);
|
||||
- len = strlen (ptr) + 1;
|
||||
+ canonicalize_path (readptr, (char *)ptr);
|
||||
+ len = strlen ((char *)ptr);
|
||||
+
|
||||
+ if ((srcptr - readptr) > len)
|
||||
+ error(0, 0,"canonicalization unexpectedly shrank (%lu): \"%s\"\n",
|
||||
+ (long unsigned int)(srcptr - readptr) - len, ptr);
|
||||
+
|
||||
shrank -= len;
|
||||
ptr += len;
|
||||
|
||||
- elf_flagdata (debug_sections[DEBUG_STR].elf_data,
|
||||
- ELF_C_SET, ELF_F_DIRTY);
|
||||
- }
|
||||
+ elf_flagdata (debug_sections[DEBUG_STR].elf_data,
|
||||
+ ELF_C_SET, ELF_F_DIRTY);
|
||||
+ ++ptr;
|
||||
+ ++srcptr;
|
||||
+ }
|
||||
|
||||
if (shrank > 0)
|
||||
{
|
||||
- if (--shrank == 0)
|
||||
- error (EXIT_FAILURE, 0,
|
||||
- "canonicalization unexpectedly shrank by one character");
|
||||
memset (ptr, 'X', shrank);
|
||||
ptr += shrank;
|
||||
*ptr++ = '\0';
|
||||
@@ -741,17 +749,17 @@ edit_dwarf2_line (DSO *dso, uint_32 off,
|
||||
elf_flagdata (debug_sections[DEBUG_STR].elf_data,
|
||||
ELF_C_SET, ELF_F_DIRTY);
|
||||
}
|
||||
- else if (ptr != srcptr)
|
||||
+ else if ((char *)ptr != srcptr)
|
||||
memmove (ptr, srcptr, len);
|
||||
srcptr += len;
|
||||
ptr += len;
|
||||
- dir = srcptr;
|
||||
+ dir = (unsigned char *)srcptr;
|
||||
read_uleb128 (srcptr);
|
||||
read_uleb128 (srcptr);
|
||||
read_uleb128 (srcptr);
|
||||
if (ptr != dir)
|
||||
- memmove (ptr, dir, srcptr - dir);
|
||||
- ptr += srcptr - dir;
|
||||
+ memmove (ptr, dir, (unsigned char *)srcptr - dir);
|
||||
+ ptr += (unsigned char *)srcptr - dir;
|
||||
}
|
||||
*ptr = '\0';
|
||||
free (buf);
|
||||
@@ -767,17 +775,13 @@ edit_attributes (DSO *dso, unsigned char
|
||||
int i;
|
||||
uint_32 list_offs;
|
||||
int found_list_offs;
|
||||
- unsigned char *comp_dir;
|
||||
-
|
||||
- comp_dir = NULL;
|
||||
- list_offs = 0;
|
||||
- found_list_offs = 0;
|
||||
+ char *comp_dir;
|
||||
+
|
||||
for (i = 0; i < t->nattr; ++i)
|
||||
{
|
||||
uint_32 form = t->attr[i].form;
|
||||
uint_32 len = 0;
|
||||
int base_len, dest_len;
|
||||
-
|
||||
|
||||
while (1)
|
||||
{
|
||||
@@ -791,56 +795,55 @@ edit_attributes (DSO *dso, unsigned char
|
||||
}
|
||||
|
||||
if (t->attr[i].attr == DW_AT_comp_dir)
|
||||
- {
|
||||
+ {
|
||||
if ( form == DW_FORM_string )
|
||||
- {
|
||||
+ {
|
||||
free (comp_dir);
|
||||
- comp_dir = strdup (ptr);
|
||||
-
|
||||
- if (phase == 1 && dest_dir && has_prefix (ptr, base_dir))
|
||||
- {
|
||||
+ comp_dir = strdup ((char *)ptr);
|
||||
+
|
||||
+ if (phase == 1 && dest_dir
|
||||
+ && has_prefix ((char *)ptr, base_dir))
|
||||
+ {
|
||||
base_len = strlen (base_dir);
|
||||
dest_len = strlen (dest_dir);
|
||||
-
|
||||
+
|
||||
memcpy (ptr, dest_dir, dest_len);
|
||||
if (dest_len < base_len)
|
||||
- {
|
||||
+ {
|
||||
memset(ptr + dest_len, '/',
|
||||
base_len - dest_len);
|
||||
-
|
||||
- }
|
||||
+ }
|
||||
elf_flagdata (debug_sections[DEBUG_INFO].elf_data,
|
||||
ELF_C_SET, ELF_F_DIRTY);
|
||||
- }
|
||||
- }
|
||||
-
|
||||
+ }
|
||||
+ }
|
||||
else if (form == DW_FORM_strp &&
|
||||
debug_sections[DEBUG_STR].data)
|
||||
- {
|
||||
+ {
|
||||
char *dir;
|
||||
|
||||
- dir = debug_sections[DEBUG_STR].data
|
||||
- + do_read_32_relocated (ptr);
|
||||
+ dir = (char *)debug_sections[DEBUG_STR].data
|
||||
+ + do_read_32_relocated (ptr);
|
||||
|
||||
free (comp_dir);
|
||||
comp_dir = strdup (dir);
|
||||
|
||||
if (phase == 1 && dest_dir && has_prefix (dir, base_dir))
|
||||
- {
|
||||
+ {
|
||||
base_len = strlen (base_dir);
|
||||
dest_len = strlen (dest_dir);
|
||||
-
|
||||
+
|
||||
memcpy (dir, dest_dir, dest_len);
|
||||
if (dest_len < base_len)
|
||||
- {
|
||||
+ {
|
||||
memmove (dir + dest_len, dir + base_len,
|
||||
strlen (dir + base_len) + 1);
|
||||
- }
|
||||
+ }
|
||||
elf_flagdata (debug_sections[DEBUG_STR].elf_data,
|
||||
ELF_C_SET, ELF_F_DIRTY);
|
||||
- }
|
||||
- }
|
||||
- }
|
||||
+ }
|
||||
+ }
|
||||
+ }
|
||||
else if ((t->tag == DW_TAG_compile_unit
|
||||
|| t->tag == DW_TAG_partial_unit)
|
||||
&& t->attr[i].attr == DW_AT_name
|
||||
@@ -848,9 +851,9 @@ edit_attributes (DSO *dso, unsigned char
|
||||
&& debug_sections[DEBUG_STR].data)
|
||||
{
|
||||
char *name;
|
||||
-
|
||||
- name = debug_sections[DEBUG_STR].data
|
||||
- + do_read_32_relocated (ptr);
|
||||
+
|
||||
+ name = (char *)debug_sections[DEBUG_STR].data
|
||||
+ + do_read_32_relocated (ptr);
|
||||
if (*name == '/' && comp_dir == NULL)
|
||||
{
|
||||
char *enddir = strrchr (name, '/');
|
||||
@@ -869,7 +872,7 @@ edit_attributes (DSO *dso, unsigned char
|
||||
{
|
||||
base_len = strlen (base_dir);
|
||||
dest_len = strlen (dest_dir);
|
||||
-
|
||||
+
|
||||
memcpy (name, dest_dir, dest_len);
|
||||
if (dest_len < base_len)
|
||||
{
|
||||
@@ -913,7 +916,7 @@ edit_attributes (DSO *dso, unsigned char
|
||||
ptr += 4;
|
||||
break;
|
||||
case DW_FORM_string:
|
||||
- ptr = strchr (ptr, '\0') + 1;
|
||||
+ ptr = (unsigned char *)strchr ((char *)ptr, '\0') + 1;
|
||||
break;
|
||||
case DW_FORM_indirect:
|
||||
form = read_uleb128 (ptr);
|
@ -1,171 +0,0 @@
|
||||
--- elfutils-0.97/Makefile.am.orig 2004-01-18 23:24:16.000000000 +0000
|
||||
+++ elfutils-0.97/Makefile.am 2005-02-10 18:01:28.029920520 +0000
|
||||
@@ -18,9 +18,8 @@
|
||||
##
|
||||
ACLOCAL_AMFLAGS = -I m4
|
||||
|
||||
-mini_SUBDIRS = config m4 lib libelf libelf-po
|
||||
-all_SUBDIRS = doc libebl libdw libcpu libasm src po tests
|
||||
-SUBDIRS = $(mini_SUBDIRS) $(all_SUBDIRS)
|
||||
+mini_SUBDIRS = config m4 libelf libelf-po
|
||||
+SUBDIRS = $(mini_SUBDIRS)
|
||||
|
||||
EXTRA_DIST = splint.rc elfutils.spec GPG-KEY NOTES COPYING.GPL
|
||||
|
||||
--- elfutils-0.97/configure.ac.orig 2004-09-25 19:41:03.000000000 +0000
|
||||
+++ elfutils-0.97/configure.ac 2005-02-10 18:01:28.030920377 +0000
|
||||
@@ -130,34 +130,9 @@
|
||||
|
||||
dnl The directories with content.
|
||||
|
||||
-dnl Documentation.
|
||||
-AC_CONFIG_FILES([doc/Makefile])
|
||||
-
|
||||
-dnl Support library.
|
||||
-AC_CONFIG_FILES([lib/Makefile])
|
||||
-
|
||||
dnl ELF library.
|
||||
AC_CONFIG_FILES([libelf/Makefile libelf-po/Makefile.in])
|
||||
|
||||
-dnl Higher-level ELF support library.
|
||||
-AC_CONFIG_FILES([libebl/Makefile])
|
||||
-
|
||||
-dnl DWARF library.
|
||||
-AC_CONFIG_FILES([libdw/Makefile])
|
||||
-
|
||||
-dnl CPU handling library.
|
||||
-AC_CONFIG_FILES([libcpu/Makefile])
|
||||
-
|
||||
-dnl Assembler library.
|
||||
-AC_CONFIG_FILES([libasm/Makefile])
|
||||
-
|
||||
-dnl Tools.
|
||||
-AC_CONFIG_FILES([src/Makefile po/Makefile.in])
|
||||
-
|
||||
-dnl Test suite.
|
||||
-AC_CONFIG_FILES([tests/Makefile])
|
||||
-
|
||||
-
|
||||
dnl Test of the config.h file. We hide all kinds of configuration magic
|
||||
dnl in there.
|
||||
AH_BOTTOM([
|
||||
--- elfutils-0.97/libelf-po/Makefile.in.in.orig 2004-01-18 23:51:37.000000000 +0000
|
||||
+++ elfutils-0.97/libelf-po/Makefile.in.in 2005-02-10 18:01:28.030920377 +0000
|
||||
@@ -28,7 +28,7 @@
|
||||
INSTALL = @INSTALL@
|
||||
INSTALL_DATA = @INSTALL_DATA@
|
||||
MKINSTALLDIRS = @MKINSTALLDIRS@
|
||||
-mkinstalldirs = $(SHELL) `case "$(MKINSTALLDIRS)" in /*) echo "$(MKINSTALLDIRS)" ;; *) echo "$(top_builddir)/$(MKINSTALLDIRS)" ;; esac`
|
||||
+mkinstalldirs = @MKINSTALLDIRS@
|
||||
|
||||
GMSGFMT = @GMSGFMT@
|
||||
MSGFMT = @MSGFMT@
|
||||
--- elfutils-0.97/libelf/Makefile.am.orig 2004-01-23 10:38:49.000000000 +0000
|
||||
+++ elfutils-0.97/libelf/Makefile.am 2005-02-10 18:03:15.337610448 +0000
|
||||
@@ -31,15 +31,15 @@
|
||||
|
||||
LINT = splint
|
||||
|
||||
-lib_LIBRARIES = libelf.a
|
||||
+#lib_LIBRARIES = libelf.a
|
||||
if !MUDFLAP
|
||||
-noinst_LIBRARIES = libelf_pic.a
|
||||
-noinst_PROGRAMS = $(noinst_LIBRARIES:_pic.a=.so)
|
||||
+noinst_LIBRARIES = libelf.a libelf_pic.a
|
||||
+noinst_PROGRAMS = libelf.so
|
||||
endif
|
||||
-include_HEADERS = libelf.h gelf.h nlist.h
|
||||
+#include_HEADERS = libelf.h gelf.h nlist.h
|
||||
|
||||
-euincludedir = $(includedir)/elfutils
|
||||
-euinclude_HEADERS = elf-knowledge.h
|
||||
+#euincludedir = $(includedir)/elfutils
|
||||
+#euinclude_HEADERS = elf-knowledge.h
|
||||
|
||||
libelf_a_SOURCES = elf_version.c elf_hash.c elf_error.c elf_fill.c \
|
||||
elf_begin.c elf_next.c elf_rand.c elf_end.c elf_kind.c \
|
||||
@@ -96,7 +96,7 @@
|
||||
ln -fs $@ $@.$(VERSION)
|
||||
|
||||
%.os: %.c %.o
|
||||
- if $(COMPILE) -c -o $@ -fpic -DPIC -DSHARED -MT $@ -MD -MP \
|
||||
+ if $(COMPILE) -c -o $@ -fPIC -DPIC -DSHARED -MT $@ -MD -MP \
|
||||
-MF "$(DEPDIR)/$*.Tpo" `test -f '$<' || echo '$(srcdir)/'`$<; \
|
||||
then cat "$(DEPDIR)/$*.Tpo" >> "$(DEPDIR)/$*.Po"; \
|
||||
rm -f "$(DEPDIR)/$*.Tpo"; \
|
||||
@@ -104,15 +104,15 @@
|
||||
fi
|
||||
|
||||
install: install-am libelf.so
|
||||
- $(mkinstalldirs) $(DESTDIR)$(libdir)
|
||||
- $(INSTALL_PROGRAM) libelf.so $(DESTDIR)$(libdir)/libelf-$(PACKAGE_VERSION).so
|
||||
- ln -fs libelf-$(PACKAGE_VERSION).so $(DESTDIR)$(libdir)/libelf.so.$(VERSION)
|
||||
- ln -fs libelf.so.$(VERSION) $(DESTDIR)$(libdir)/libelf.so
|
||||
+# $(mkinstalldirs) $(DESTDIR)$(libdir)
|
||||
+# $(INSTALL_PROGRAM) libelf.so $(DESTDIR)$(libdir)/libelf-$(PACKAGE_VERSION).so
|
||||
+# ln -fs libelf-$(PACKAGE_VERSION).so $(DESTDIR)$(libdir)/libelf.so.$(VERSION)
|
||||
+# ln -fs libelf.so.$(VERSION) $(DESTDIR)$(libdir)/libelf.so
|
||||
|
||||
uninstall: uninstall-am
|
||||
- rm -f $(DESTDIR)$(libdir)/libelf-$(PACKAGE_VERSION).so
|
||||
- rm -f $(DESTDIR)$(libdir)/libelf.so.$(VERSION)
|
||||
- rm -f $(DESTDIR)$(libdir)/libelf.so
|
||||
+# rm -f $(DESTDIR)$(libdir)/libelf-$(PACKAGE_VERSION).so
|
||||
+# rm -f $(DESTDIR)$(libdir)/libelf.so.$(VERSION)
|
||||
+# rm -f $(DESTDIR)$(libdir)/libelf.so
|
||||
endif
|
||||
|
||||
.PSEUDO: lint
|
||||
--- elfutils-0.97/libelf/Makefile.in.orig 2004-09-25 19:41:08.000000000 +0000
|
||||
+++ elfutils-0.97/libelf/Makefile.in 2005-02-10 18:01:28.028920662 +0000
|
||||
@@ -731,7 +731,7 @@
|
||||
@MUDFLAP_FALSE@ ln -fs $@ $@.$(VERSION)
|
||||
|
||||
@MUDFLAP_FALSE@%.os: %.c %.o
|
||||
-@MUDFLAP_FALSE@ if $(COMPILE) -c -o $@ -fpic -DPIC -DSHARED -MT $@ -MD -MP \
|
||||
+@MUDFLAP_FALSE@ if $(COMPILE) -c -o $@ -fPIC -DPIC -DSHARED -MT $@ -MD -MP \
|
||||
@MUDFLAP_FALSE@ -MF "$(DEPDIR)/$*.Tpo" `test -f '$<' || echo '$(srcdir)/'`$<; \
|
||||
@MUDFLAP_FALSE@ then cat "$(DEPDIR)/$*.Tpo" >> "$(DEPDIR)/$*.Po"; \
|
||||
@MUDFLAP_FALSE@ rm -f "$(DEPDIR)/$*.Tpo"; \
|
||||
--- elfutils-0.97/libelf/libelfP.h.orig 2003-12-25 18:43:31.000000000 +0000
|
||||
+++ elfutils-0.97/libelf/libelfP.h 2005-02-10 18:01:28.029920520 +0000
|
||||
@@ -387,7 +387,7 @@
|
||||
extern int __libelf_fill_byte attribute_hidden;
|
||||
|
||||
/* Nonzero if the version was set. */
|
||||
-extern int __libelf_version_initialized attribute_hidden;
|
||||
+extern int __libelf_version_initialized /* attribute_hidden */;
|
||||
|
||||
|
||||
/* The libelf API does not have such a function but it is still useful.
|
||||
--- elfutils-0.97/configure.ac 2006/08/14 23:04:23 1.1
|
||||
+++ elfutils-0.97/configure.ac 2006/08/14 23:06:50
|
||||
@@ -53,6 +53,8 @@
|
||||
AC_PROG_CPP
|
||||
AC_PROG_GCC_TRADITIONAL
|
||||
AM_GNU_GETTEXT([external])
|
||||
+MKINSTALLDIRS="\$(SHELL) \$(top_srcdir)/config/mkinstalldirs"
|
||||
+AC_SUBST(MKINSTALLDIRS)
|
||||
AC_PROG_RANLIB
|
||||
AC_PROG_YACC
|
||||
AM_PROG_LEX
|
||||
--- elfutils-0.97/libelf/common.h.orig 2007-09-25 11:34:29.000000000 +0200
|
||||
+++ elfutils-0.97/libelf/common.h 2007-09-25 11:36:54.000000000 +0200
|
||||
@@ -78,7 +78,7 @@
|
||||
|
||||
|
||||
/* Acquire lock for the descriptor and all children. */
|
||||
-static void
|
||||
+static inline void
|
||||
libelf_acquire_all (Elf *elf)
|
||||
{
|
||||
rwlock_wrlock (elf->lock);
|
||||
@@ -97,7 +97,7 @@
|
||||
}
|
||||
|
||||
/* Release own lock and those of the children. */
|
||||
-static void
|
||||
+static inline void
|
||||
libelf_release_all (Elf *elf)
|
||||
{
|
||||
if (elf->kind == ELF_K_AR)
|
@ -1,3 +0,0 @@
|
||||
version https://git-lfs.github.com/spec/v1
|
||||
oid sha256:105115416927f1498abecd7741af0d178a31a2bc780b3ab935b78bac48bac342
|
||||
size 216798
|
@ -1,6 +1,12 @@
|
||||
--- scripts/find-debuginfo.sh 2008/09/15 22:56:11 1.1
|
||||
+++ scripts/find-debuginfo.sh 2008/09/15 22:58:57
|
||||
@@ -126,6 +126,20 @@
|
||||
---
|
||||
scripts/find-debuginfo.sh | 69 +++++++++++++++++++++++++++++++++++-----------
|
||||
1 file changed, 53 insertions(+), 16 deletions(-)
|
||||
|
||||
Index: scripts/find-debuginfo.sh
|
||||
===================================================================
|
||||
--- scripts/find-debuginfo.sh.orig
|
||||
+++ scripts/find-debuginfo.sh
|
||||
@@ -126,6 +126,20 @@ debug_link()
|
||||
link_relative "$t" "$l" "$RPM_BUILD_ROOT"
|
||||
}
|
||||
|
||||
@ -21,7 +27,7 @@
|
||||
# Make a build-id symlink for id $1 with suffix $3 to file $2.
|
||||
make_id_link()
|
||||
{
|
||||
@@ -144,7 +158,7 @@
|
||||
@@ -144,7 +158,7 @@ make_id_link()
|
||||
local other=$(readlink -m "$root_idfile")
|
||||
other=${other#$RPM_BUILD_ROOT}
|
||||
if cmp -s "$root_idfile" "$RPM_BUILD_ROOT$file" ||
|
||||
@ -30,7 +36,7 @@
|
||||
# Two copies. Maybe one has to be setuid or something.
|
||||
echo >&2 "*** WARNING: identical binaries are copied, not linked:"
|
||||
echo >&2 " $file"
|
||||
@@ -173,12 +187,18 @@
|
||||
@@ -173,12 +187,18 @@ strict_error=ERROR
|
||||
$strict || strict_error=WARNING
|
||||
|
||||
# Strip ELF binaries
|
||||
@ -54,16 +60,21 @@
|
||||
get_debugfn "$f"
|
||||
[ -f "${debugfn}" ] && continue
|
||||
|
||||
@@ -199,6 +219,8 @@
|
||||
@@ -199,8 +219,11 @@ while read nlinks inum f; do
|
||||
fi
|
||||
|
||||
echo "extracting debug info from $f"
|
||||
- id=$(/usr/lib/rpm/debugedit -b "$RPM_BUILD_DIR" -d /usr/src/debug \
|
||||
- -i -l "$SOURCEFILE" "$f") || exit
|
||||
+ mode=$(stat -c %a "$f")
|
||||
+ chmod +w "$f"
|
||||
id=$(/usr/lib/rpm/debugedit -b "$RPM_BUILD_DIR" -d /usr/src/debug \
|
||||
-i -l "$SOURCEFILE" "$f") || exit
|
||||
+ id=$($(DEBUGEDIT=$(which debugedit 2>/dev/null); \
|
||||
+ echo ${DEBUGEDIT:-/usr/lib/rpm/debugedit}) -b "$RPM_BUILD_DIR" \
|
||||
+ -d /usr/src/debug -i -l "$SOURCEFILE" "$f") || exit
|
||||
if [ -z "$id" ]; then
|
||||
@@ -215,13 +237,25 @@
|
||||
echo >&2 "*** ${strict_error}: No build ID note found in $f"
|
||||
$strict && exit 2
|
||||
@@ -215,13 +238,25 @@ while read nlinks inum f; do
|
||||
esac
|
||||
|
||||
mkdir -p "${debugdn}"
|
||||
@ -96,7 +107,7 @@
|
||||
|
||||
if [ -n "$id" ]; then
|
||||
make_id_link "$id" "$dn/$(basename $f)"
|
||||
@@ -250,12 +284,14 @@
|
||||
@@ -250,12 +285,14 @@ if [ -s "$SOURCEFILE" ]; then
|
||||
# stupid cpio creates new directories in mode 0700, fixup
|
||||
find "${RPM_BUILD_ROOT}/usr/src/debug" -type d -print0 |
|
||||
xargs --no-run-if-empty -0 chmod a+rx
|
||||
|
@ -24,7 +24,7 @@ License: GPL v2 or later
|
||||
Group: System/Packages
|
||||
Summary: Python Bindings for Manipulating RPM Packages
|
||||
Version: 4.4.2.3
|
||||
Release: 5
|
||||
Release: 6
|
||||
Requires: rpm = %{version}
|
||||
%py_requires
|
||||
Source99: rpm.spec
|
||||
|
@ -43,7 +43,7 @@
|
||||
# macro: %suse_update_desktop_file
|
||||
# Used to add easily a category to .desktop files according to XDG
|
||||
# standard.
|
||||
%suse_update_desktop_file(cinrud:D:N:C:G:) \
|
||||
%suse_update_desktop_file(cinrtud:D:N:C:G:) \
|
||||
/usr/lib/rpm/suse_update_desktop_file.sh %{**} || exit 1 \
|
||||
%nil
|
||||
|
||||
|
16
rpm.changes
16
rpm.changes
@ -1,3 +1,19 @@
|
||||
-------------------------------------------------------------------
|
||||
Thu Oct 2 18:30:41 CEST 2008 - vuntz@suse.de
|
||||
|
||||
- support the new -t option of suse_update_desktop_file.sh in
|
||||
rpm-suse_macros
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Thu Oct 2 17:43:59 CEST 2008 - mls@suse.de
|
||||
|
||||
- fix rpmrc compile options for ia64 [bnc#431345]
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Thu Oct 2 16:19:03 CEST 2008 - jblunck@suse.de
|
||||
|
||||
- debugedit: Fix some compilation warnings and the canonicalization error.
|
||||
|
||||
-------------------------------------------------------------------
|
||||
Tue Sep 16 01:01:30 CEST 2008 - ro@suse.de
|
||||
|
||||
|
38
rpm.spec
38
rpm.spec
@ -20,14 +20,14 @@
|
||||
Name: rpm
|
||||
License: GPL v2 or later
|
||||
Group: System/Packages
|
||||
BuildRequires: libbz2-devel libselinux-devel lzma-alpha-devel ncurses-devel zlib-devel
|
||||
BuildRequires: libbz2-devel libelf-devel libselinux-devel lzma-alpha-devel ncurses-devel zlib-devel
|
||||
Provides: rpminst
|
||||
%define popt_version 1.7
|
||||
PreReq: %insserv_prereq %fillup_prereq permissions
|
||||
AutoReqProv: on
|
||||
Summary: The RPM Package Manager
|
||||
Version: 4.4.2.3
|
||||
Release: 5
|
||||
Release: 6
|
||||
Source: rpm-%{version}.tar.bz2
|
||||
Source1: RPM-HOWTO.tar.bz2
|
||||
Source2: RPM-Tips.html.tar.bz2
|
||||
@ -36,11 +36,9 @@ Source5: rpmsort
|
||||
Source6: symset-table
|
||||
Source8: rpmconfigcheck
|
||||
Source9: sysconfig.services-rpm
|
||||
Source10: elfutils-0.97.tar.bz2
|
||||
Source11: beecrypt-4.1.2.tar.bz2
|
||||
Patch1: elfutils-0.97.diff
|
||||
Patch2: beecrypt-4.1.2.diff
|
||||
Patch3: db.diff
|
||||
Source10: beecrypt-4.1.2.tar.bz2
|
||||
Patch1: beecrypt-4.1.2.diff
|
||||
Patch2: db.diff
|
||||
# quilt patches start here
|
||||
Patch10: debugedit.diff
|
||||
Patch11: findfplistexclude.diff
|
||||
@ -93,6 +91,7 @@ Patch57: whatrequires-doc.diff
|
||||
Patch58: remove-brp-strips.diff
|
||||
Patch59: requires-ge-macro.diff
|
||||
Patch60: mimetype.diff
|
||||
Patch61: debugedit-canon-fix.diff
|
||||
BuildRoot: %{_tmppath}/%{name}-%{version}-build
|
||||
#
|
||||
# avoid bootstrapping problem
|
||||
@ -138,14 +137,8 @@ Authors:
|
||||
%prep
|
||||
%setup -q -n rpm-%{version}
|
||||
rm -rf sqlite
|
||||
rm -rf elfutils
|
||||
rm -rf beecrypt
|
||||
tar xjf %{SOURCE10}
|
||||
ln -s elfutils-0.97 elfutils
|
||||
# remove all OSL stuff
|
||||
rm -rf elfutils/doc elfutils/libebl elfutils/libdw elfutils/libcpu elfutils/libasm elfutils/src elfutils/po elfutils/tests
|
||||
rm -rf elfutils/lib/dynamicsizehash.c elfutils/lib/dynamicsizehash.h elfutils/lib/list.h elfutils/lib/xmalloc.c elfutils/lib/xstrdup.c elfutils/lib/xstrndup.c
|
||||
tar xjf %{SOURCE11}
|
||||
ln -s beecrypt-4.1.2 beecrypt
|
||||
#tar xjf %{SOURCE12}
|
||||
#ln -s neon-0.24.7 neon
|
||||
@ -155,13 +148,13 @@ rm -f rpmdb/db.h
|
||||
# %setup -q -D -T -a 9
|
||||
# mv popt popt.orig
|
||||
# ln -s popt-%{popt_version} popt
|
||||
%patch -P 1 -P 2 -P 3
|
||||
%patch -P 1 -P 2
|
||||
%patch -P 10 -P 11 -P 12 -P 13 -P 14 -P 15 -P 16 -P 17 -P 18 -P 19
|
||||
%patch -P 20 -P 21 -P 22 -P 23 -P 24 -P 25 -P 26 -P 27 -P 28 -P 29
|
||||
%patch -P 30 -P 31 -P 32 -P 33 -P 34 -P 35 -P 36 -P 37 -P 38 -P 39
|
||||
%patch -P 40 -P 41 -P 42 -P 43 -P 44 -P 45 -P 46 -P 47 -P 48 -P 49
|
||||
%patch -P 50 -P 51 -P 52 -P 53 -P 54 -P 55 -P 56 -P 57 -P 58 -P 59
|
||||
%patch -P 60
|
||||
%patch -P 60 -P 61
|
||||
chmod 755 scripts/find-supplements{,.ksyms}
|
||||
chmod 755 scripts/find-provides.ksyms scripts/find-requires.ksyms
|
||||
tar -xjvf %{SOURCE1}
|
||||
@ -182,8 +175,6 @@ export CFLAGS="-g -O0 -fno-strict-aliasing"
|
||||
rm -rf zlib
|
||||
cp /usr/share/gettext/config.rpath .
|
||||
cp popt/autogen.sh beecrypt
|
||||
cp popt/autogen.sh libelf
|
||||
cp popt/autogen.sh elfutils
|
||||
cp popt/autogen.sh file
|
||||
# cp popt/autogen.sh neon
|
||||
./autogen.sh --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --libdir=/usr/lib --sysconfdir=/etc --localstatedir=/var --with-lua --with-selinux --enable-shared
|
||||
@ -209,7 +200,7 @@ cp -a suse_macros $RPM_BUILD_ROOT/usr/lib/rpm
|
||||
mv $RPM_BUILD_ROOT/usr/src/* $RPM_BUILD_ROOT/usr/src/packages
|
||||
mkdir -p $RPM_BUILD_ROOT/var/lib/rpm
|
||||
mkdir -p $RPM_BUILD_ROOT/var/spool/repackage
|
||||
rm -rf $RPM_BUILD_ROOT/usr/include/beecrypt $RPM_BUILD_ROOT/usr/include/libelf $RPM_BUILD_ROOT/%{_libdir}/libbeecrypt* $RPM_BUILD_ROOT/usr/lib/libelf*
|
||||
rm -rf $RPM_BUILD_ROOT/usr/include/beecrypt $RPM_BUILD_ROOT/%{_libdir}/libbeecrypt*
|
||||
gzip -9 $RPM_BUILD_ROOT/%{_mandir}/man[18]/*.[18]
|
||||
export RPM_BUILD_ROOT
|
||||
%ifarch s390x
|
||||
@ -306,7 +297,7 @@ Summary: A C library for parsing command line parameters
|
||||
License: LGPL v2.1 or later
|
||||
Group: System/Libraries
|
||||
Version: 1.7
|
||||
Release: 453
|
||||
Release: 454
|
||||
#
|
||||
|
||||
%description -n popt
|
||||
@ -329,7 +320,7 @@ Summary: C Library for Parsing Command Line Parameters
|
||||
License: LGPL v2.1 or later
|
||||
Group: System/Libraries
|
||||
Version: 1.7
|
||||
Release: 453
|
||||
Release: 454
|
||||
Requires: popt = 1.7
|
||||
Requires: glibc-devel
|
||||
|
||||
@ -364,6 +355,13 @@ Authors:
|
||||
%doc %{_mandir}/man3/popt.3*
|
||||
|
||||
%changelog
|
||||
* Thu Oct 02 2008 vuntz@suse.de
|
||||
- support the new -t option of suse_update_desktop_file.sh in
|
||||
rpm-suse_macros
|
||||
* Thu Oct 02 2008 mls@suse.de
|
||||
- fix rpmrc compile options for ia64 [bnc#431345]
|
||||
* Thu Oct 02 2008 jblunck@suse.de
|
||||
- debugedit: Fix some compilation warnings and the canonicalization error.
|
||||
* Tue Sep 16 2008 ro@suse.de
|
||||
- fix find-debuginfo.sh and debugsource-package.diff to even
|
||||
apply (directory depth)
|
||||
|
@ -25,7 +25,7 @@ Index: rpmrc.in
|
||||
optflags: geode -Os -g -m32 -march=geode
|
||||
-optflags: ia64 -O2 -g -m64 -mtune=generic
|
||||
-optflags: x86_64 -O2 -g -m64 -mtune=generic
|
||||
+optflags: ia64 -O2 -g -m64 -fmessage-length=0 -D_FORTIFY_SOURCE=2
|
||||
+optflags: ia64 -O2 -g -fmessage-length=0 -D_FORTIFY_SOURCE=2
|
||||
+optflags: x86_64 -O2 -g -m64 -fmessage-length=0 -D_FORTIFY_SOURCE=2
|
||||
optflags: amd64 -O2 -g -mtune=generic
|
||||
optflags: ia32e -O2 -g -m64 -mtune=generic
|
||||
|
Loading…
Reference in New Issue
Block a user